qcontrol (0.5.6-4ubuntu1) hirsute; urgency=medium

  * Allow to build without the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 06:22:22 +0100

qcontrol (0.5.6-4build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:05 +0100

qcontrol (0.5.6-4) unstable; urgency=medium

  * Specify Rules-Requires-Root: no.
  * Switch to debhelper compat level 11, changes are:
    - it is no longer necessary to patch `--with systemd` to `dh(1)`.
    - Use `-a` option to `dh_listpackages`, in favour of obsolete `-s` option.
    - Use `--no-stop-on-upgrade` option to `dh_installinit` in favour of
      obsolete `--no-restart-on-upgrade` option.
    Sticking to level 11 (rather than moving to 12, the latest version) for now
    eases backports to stretch-backports when system units are involved as they
    are here (see "Caveat for stretch-backports support" in
    https://nthykier.wordpress.com/2019/01/04/debhelper-compat-12-is-now-released/).
  * Only trigger a udev event if `udevadm` is available. Also ignore any error
    from `udevadm trigger`.
  * Update postinst check for presence of `update-initramfs` to use `which`
    rather than a hardcoded path. Resolves lintian warning
    "command-with-path-in-maintainer-script".
  * Override `init.d-script-depends-on-all-virtual-facility` lintian warning.

 -- Ian Campbell <ijc@debian.org>  Sun, 06 Jan 2019 13:37:59 +0000

qcontrol (0.5.6-3) unstable; urgency=medium

  * Use `dh_installudev` rather than open coding.
  * Run `udevadm trigger` from postinst so that the gpio keys device is tagged
    before trying to start the qcontrol services (which depend on the tagged
    device). (Closes: #914160, again!).
  * Drop postinst code cleaning up from Lenny era.
  * Bump standards version to 4.3.0, no changes required.

 -- Ian Campbell <ijc@debian.org>  Wed, 02 Jan 2019 17:28:51 +0000

qcontrol (0.5.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Ian Campbell ]
  * Switch Homepage to https.
  * Fix "qcontrol FTCBFS: upstream Makefile hard codes the build
    architecture pkg-config" by allowing the override of the pkg-config binary
    Thanks to Helmut Grohne for the initial patch (Closes: #908525).
  * Correctly install 60-qcontrol.rules (Closes: #912376).
  * Refresh all patches to apply without fuzz.
  * Catch more installation errors in debian/rules.

 -- Ian Campbell <ijc@debian.org>  Sun, 09 Dec 2018 14:42:37 +0000

qcontrol (0.5.6-1) unstable; urgency=medium

  * New upstream release.
    - All local patches merged upstream.
    - Add a configuration option in the examples to handle QNAP devices which
      lack a fan (closes: #712841).
  * Update standards version, no changes required.
  * Use Package-Type control header in preference to XC-Package-Type.
  * Reformat control files according to cme.

 -- Ian Campbell <ijc@debian.org>  Sun, 27 May 2018 11:22:20 +0100

qcontrol (0.5.5-3) unstable; urgency=medium

  * Open /sys/class/gpio/export write only, avoids EPERM error
    (Closes: #795558).
  * Enable systemd support at build time and install systemd unit files, the
    transition away from support for rcS in the sysvinit compat layer means
    that LSB compat mode is no longer sufficient for qcontrol (closes: #852127).
  * Update standards version, no changes required.
  * Add gbp.conf to packaging directory.

 -- Ian Campbell <ijc@debian.org>  Mon, 01 Jan 2018 12:11:17 +0000

qcontrol (0.5.5-2) unstable; urgency=medium

  * Update standards version, no changes required.

 -- Ian Campbell <ijc@debian.org>  Tue, 15 Nov 2016 18:39:43 +0000

qcontrol (0.5.5-1) unstable; urgency=medium

  * New upstream release.
    - All local patches incorporated upstream.
    - Improvements to option parsing and help messages (Closes: #804767).
  * Update Homepage URL.
  * Update watch file.

 -- Ian Campbell <ijc@debian.org>  Sun, 30 Oct 2016 14:41:08 +0000

qcontrol (0.5.4-5) unstable; urgency=medium

  * [udeb/qcommand] Drop check for gpio-keys driver, it is no longer required.
    (Closes: #793179)

 -- Ian Campbell <ijc@debian.org>  Sun, 26 Jul 2015 17:01:05 +0100

qcontrol (0.5.4-4) unstable; urgency=medium

  * Handle differently named GPIO keys device nodes, this has changed in the
  * kernel.

 -- Ian Campbell <ijc@debian.org>  Wed, 08 Jul 2015 19:54:06 +0100

qcontrol (0.5.4-3) unstable; urgency=medium

  * Apply patch from Martin Michlmayr to support device-tree only systems.
    (Closes: #788885)
  * Update description and README with new devices, patch from Martin Michlmayr.
    (Closes: #788911)

 -- Ian Campbell <ijc@debian.org>  Tue, 23 Jun 2015 08:59:53 +0100

qcontrol (0.5.4-2) unstable; urgency=medium

  * Update Vcs-* to point to anonscm.
  * Wait for necessary devices to appear before starting.
    (Closes: #781886). This works around an issue exposed by systemd LSB
    compatibility mode. Proper systemd support will come later.
  * Update path to examples in man page. (Closes: #749127)
  * Update to standards version 0.9.6, no changes required.

 -- Ian Campbell <ijc@debian.org>  Wed, 13 May 2015 20:02:02 +0100

qcontrol (0.5.4-1) unstable; urgency=low

  * New upstream release 0.5.4.
    - Correct system-status command.
  * New upstream release 0.5.3.
    - New command to control rtc in ts219/ts41x (Closes: #732768)
    - Correctly enable LCD detect GPIO if necessary
    - Return correct status from qcontrol --direct (Closes: #617439)
    - Reduce spaminess of temperature logging (Closes: #727150)
  * Update to standards version 3.9.5 (no changes required).

 -- Ian Campbell <ijc@hellion.org.uk>  Fri, 11 Apr 2014 17:40:45 +0100

qcontrol (0.5.2-2) unstable; urgency=low

  * Superceded unintentional upload of 0.5.2-1~exp1 to unstable instead of
    experimental. No changes from 0.5.2-1.

 -- Ian Campbell <ijc@hellion.org.uk>  Wed, 02 Oct 2013 07:31:24 +0100

qcontrol (0.5.2-1) unstable; urgency=low

  * New upstream release.
    - Move confdir to end of configuration file, making it useful for local
      overrides (Closes: #713046)
    - New system-status module to handle system start/stop notification.
      Sounding of the buzzer is now controlled in /etc/qcontrol.conf.
  * Update homepage link in debian/control (Closes: #712190)
  * Do not pass obsolete parameters to update-rc.d
  * Simplify qcontrold initscript, use presence of /etc/qcontrol.conf to decide
    when to start the daemon.

 -- Ian Campbell <ijc@hellion.org.uk>  Tue, 01 Oct 2013 19:52:44 +0100

qcontrol (0.5.1-3) unstable; urgency=low

  * Ignore 0x43 (RTC wakeup command) from PIC to avoid spamming logs.
  * Implement hysteresis for fan control. (Closes: #709095)

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 01 Jun 2013 15:02:26 +0100

qcontrol (0.5.1-2) unstable; urgency=low

  * Remove alpha warning from description
  * Fix memory corruption bug in confdir handling (Closes: #708376)

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 18 May 2013 10:55:39 +0100

qcontrol (0.5.1-1) unstable; urgency=low

  * New upstream release.
    - Wake-on-Lan support. (Closes: #703888)
    - Support for qcontrol.d directories. (Closes: #697574)
    - Disable buffering when stdout/err is not a tty. (Closes: #703894)
    - Patches merged upstream.
  * Only require event-modules udeb on armel.
  * Add /etc/qcontrol.d include to config files and package the directory

 -- Ian Campbell <ijc@hellion.org.uk>  Sun, 12 May 2013 19:25:57 +0100

qcontrol (0.5.0-1) unstable; urgency=low

  * New upstream release.
    - Several patches merged upstream.
  * Add lcd_button function to ts41x default configuration. (Closes: #702763)
  * Sanity check the arguments to functions called from lua. (Closes: #698543)

 -- Ian Campbell <ijc@hellion.org.uk>  Sun, 12 May 2013 16:41:08 +0100

qcontrol (0.4.2+svn-r40-3) unstable; urgency=low

  * Fix typo in S99qcontrol installer hook.
  * Disable firmware watchdog on TS-419p II as well.

 -- Ian Campbell <ijc@hellion.org.uk>  Sun, 25 Nov 2012 11:51:20 +0000

qcontrol (0.4.2+svn-r40-2) unstable; urgency=low

  * Disable firmware watchdog on TS-219p II. (Closes: #693263)
  * Enable LCD on TS-419P II based on GPIO status. (Closes: #689912)

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 17 Nov 2012 12:08:50 +0000

qcontrol (0.4.2+svn-r40-1) unstable; urgency=low

  [ Ian Campbell ]
  * New maintainer (Closes: #617749)
  * Incorporate unreleased changes by Frans Pop:
    - Update to new upstream snapshot r31 (Closes: #513344).
    - Add an initscript to start daemon on boot.
    - Enable temperature and fan support.
  * Switch to 3.0 (quilt) source format.
  * Switch to debhelper 9 and dh(1).
  * Update version in --version (Closes: #636325).
  * Build on armhf (Closes: 645670).
  * New upstream snapshot r40 (Closes: #600333).
  * Bump standards version to 3.9.4 (no changes needed).
  * Enable hardening flags.

 -- Ian Campbell <ijc@hellion.org.uk>  Sat, 06 Oct 2012 13:45:22 +0100

qcontrol (0.4.2-7) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA group
  * Apply patch from Matthias Klose to fix FTBFS with ld --as-needed
    and with multiarched lua (Closes: #643604)
  * Set urgency to medium due to rc bug fix
  * Fix lintian detected spelling error in package descriptions
    (s/Allows\ to/Allows one to/)
  * Add recommended targets build-arch and build-indep to debian/rules
  * Add $remote_fs to the Required-Stop of the debian/init.d
  * Bump standards to 3.9.2 (no furhter changes needed)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 07 Dec 2011 13:51:09 +0100

qcontrol (0.4.2-6) unstable; urgency=low

  * qcontrol-udeb: depend on event-modules instead of input-modules.
    Closes: #589581

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 31 Aug 2010 21:59:57 +0100

qcontrol (0.4.2-5) unstable; urgency=low

  * Also add support for TS-419U to udeb. Closes: #557523.

 -- Frans Pop <fjp@debian.org>  Mon, 23 Nov 2009 18:11:02 +0100

qcontrol (0.4.2-4) unstable; urgency=low

  * Let USB headers match default update-rc.d stop levels. Closes: #554796.
  * Add support for QNAP TS-419U. Closes: #556206.
    Many thanks to Martin Michlmayr for the patch.
  * Update supported devices in documentation. Closes: #556210.
    Thanks to Martin Michlmayr for the patch.

 -- Frans Pop <fjp@debian.org>  Sat, 14 Nov 2009 13:35:41 +0100

qcontrol (0.4.2-3) unstable; urgency=low

  * Remove custom udev rules file added in Lenny update (0.4.2-1lenny1).

 -- Frans Pop <fjp@debian.org>  Thu, 10 Sep 2009 12:15:04 +0200

qcontrol (0.4.2-2) unstable; urgency=low

  * Use quilt to manage patches against upstream.
  * Update input device for udev (0.141-2). Closes: #524505.
  * Use bash for the init script as dash does not support disown.
    Closes: #538321.
  * Add support for the QNAP TS-119 and TS-219. Closes: #525721.
    Many thanks to Martin Michlmayr for the patch.
  * Add support for autopower feature. Closes: #526932.
    Thanks to Martin Michlmayr for the patch.

 -- Frans Pop <fjp@debian.org>  Fri, 21 Aug 2009 01:55:45 +0200

qcontrol (0.4.2-1) unstable; urgency=low

  * New upstream version:
    - support for QNAP TS-409 (closes: #491567)
  * Update config values for restart and media buttons in line with change in
    Debian kernel 2.6.26 (upstream 2.6.27). Thanks to Martin Michlmayr for
    alerting me to the change.
  * udeb: Modify /etc/modules during base-installer instead of finish-install;
    it is slightly more logical to do this at the same time as installing the
    package.

 -- Frans Pop <fjp@debian.org>  Mon, 11 Aug 2008 15:21:21 +0200

qcontrol (0.4.1-3) unstable; urgency=low

  * Add gpio_keys to /etc/modules in target instead of D-I environment.
  * Remove workaround for missing persistent-input rules. It was added
    in udev 0.124-1.

 -- Frans Pop <fjp@debian.org>  Mon, 14 Jul 2008 17:39:43 +0200

qcontrol (0.4.1-2) unstable; urgency=low

  * Update watch file for rename from piccontrol to qcontrol.
  * Fix errors in udeb. Closes: #488394.
  * Add temporary workaround in udeb for #488439 (missing persistent-input
    rules in udev-udeb).
  * Improve the way additional scripts are included in the udeb.

 -- Frans Pop <fjp@debian.org>  Thu, 03 Jul 2008 20:21:23 +0200

qcontrol (0.4.1-1) unstable; urgency=low

  * Initial release. Closes: #483721.

 -- Frans Pop <fjp@debian.org>  Thu, 12 Jun 2008 18:46:42 +0200
